# $Revision: 1.107 $, $Date: 2008/09/25 12:56:01 $
Summary:	Home computer cron daemon
Summary(fr.UTF-8):	Démon Home computer cron
Summary(pl.UTF-8):	Demon cron dla domowego komputera
Summary(tr.UTF-8):	Home computer cron süreci, periyodik program çalıştırma yeteneği
Name:		hc-cron
Version:	0.14
Release:	27
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.berlios.de/pub/hc-cron/stable/%{name}-%{version}.tar.gz
# Source0-md5:	19140ce4ceb7d800d2aae6be8b9361cb
Source1:	%{name}.init
Source2:	cron.logrotate
Source3:	%{name}.crontab
Source4:	crontab.1.pl
Source5:	cron.8.pl
Source6:	cron.sysconfig
Patch0:		%{name}-syscrondir.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-time.patch
Patch3:		%{name}-closefile.patch
Patch4:		%{name}-sgid.patch
Patch5:		%{name}-sleep.patch
BuildRequires:	rpmbuild(macros) >= 1.247
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	/bin/run-parts
Requires:	/sbin/chkconfig
Requires:	psmisc >= 20.1
Requires:	rc-scripts
Provides:	crondaemon
Provides:	crontabs = 1.7
Provides:	group(crontab)
Obsoletes:	crondaemon
Obsoletes:	crontabs
Obsoletes:	mcron
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hc-cron is a cron daemon for home computers. It runs specified jobs at
periodic intervals and will remember the time when it was shut down
and catch up jobs that have occurred during down time when it is
started again. Hc-cron is based on the widely used vixie-cron and uses
the same crontab format so that it can be used as a drop-in
replacement for that program.

%description -l de.UTF-8
cron ist ein Standard-UNIX-Programm, das zu vorgegebenen Zeiten vom
Benutzer angegebene Programme ausführt. hc-cron weist mehr Funktionen
auf als cron aus UNIX, u.a. bessere Sicherheit und leistungsfähigere
Konfigurationsoptionen.

%description -l fr.UTF-8
cron est un des programmes UNIX standard qui permet à un utilisateur
donné de lancer des périodiquement des programmes selon un ordre
planifié. hc-cron ajoute de nombreuses fonctionnalités au cron UNIX de
base, dont une plus grande sécurité et des options de configuration
plus puissantes.

%description -l pl.UTF-8
hc-cron jest demonem cron dla domowych komputerów. Uruchamia zadania w
określonych odstępach czasu oraz pamięta kiedy został wyłączony, by
móc wykonać pominięte zadania gdy zostanie ponownie uruchomiony.
Hc-cron jest oparty na szeroko używanym vixie cronie i używa tego
samego formatu pliku crontab, więc można stosować zamiennie te
programy.

%description -l tr.UTF-8
cron UNIX'de standart olarak belirli zamanlarda bir programı
çalıştırmak için kullanılan daemon'dur. hc-cron, standart cron'dan
daha güvenlidir ve daha gelişmiş yapılandırma seçenekleri içerir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} \
	 OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.{hourly,daily,weekly,monthly},cron} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{cron.d,rc.d/init.d,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/{man{1,5,8},pl/man{1,8}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/var/{spool/cron,log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/log/cron

cat > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.allow << EOF
# cron.allow	This file describes the names of the users which are
#		allowed to use the local cron daemon
root
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.deny << EOF2
# cron.deny	This file describes the names of the users which are
#		NOT allowed to use the local cron daemon
EOF2

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/crond
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/cron
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/system
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1/crontab.1
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/pl/man8/cron.8
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cron

echo ".so cron.8" > $RPM_BUILD_ROOT%{_mandir}/man8/crond.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 117 -r -f crontab

%post
/sbin/chkconfig --add crond
umask 027
touch /var/log/cron
chgrp crontab /var/log/cron
chmod 660 /var/log/cron
%service crond restart "Cron Daemon"

%preun
if [ "$1" = "0" ]; then
	%service crond stop
	/sbin/chkconfig --del crond
fi

%postun
if [ "$1" = "0" ]; then
	%groupremove crontab
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog doc/{CONVERSION,FEATURES,MAIL,README.vix,THANKS}
%attr(754,root,root) /etc/rc.d/init.d/crond
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(750,root,root) %dir %{_sysconfdir}/cron.*
%attr(750,root,crontab) %dir %{_sysconfdir}/cron
%attr(640,root,crontab) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/cron/cron.allow
%attr(640,root,crontab) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/cron/cron.deny
%attr(640,root,crontab) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/*
%attr(755,root,root) %{_sbindir}/crond
%attr(2755,root,crontab) %{_bindir}/crontab
%attr(1730,root,crontab) %dir /var/spool/cron
%attr(660,root,crontab) %ghost /var/log/*
%lang(pl) %{_mandir}/pl/man*/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hc-cron.spec,v $
Revision 1.107  2008/09/25 12:56:01  sls
- creating /etc/cron/cron.allow and /var/log/cron synchronized with
  vixie-cron.spec
- create and package /etc/cron/cron.deny
- package /etc/cron/cron.{allow,deny} explicitly and with "missingok" flag
- rel. 27

Revision 1.106  2008-02-06 21:18:33  glen
- rel 26

Revision 1.105  2008-02-06 20:16:51  glen
- never use '<=' in trigger comparision (well just drop old triggers)
- no need for localized man link
- rel 25

Revision 1.104  2008-01-12 16:04:14  qboosh
- equal-versioned crontabs Provides
- yumoconflicts replaced by virtual package Obsoletes (already provided crondaemon)

Revision 1.103  2007-11-09 18:11:10  patrys
- fixing the world continued
- mutual conflicts instead of obsoletes
- rel up
- STBR

Revision 1.102  2007-02-13 07:16:48  glen
- tabs in preamble

Revision 1.101  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.100  2006/09/08 18:03:26  glen
- rel 23 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.99  2006/04/14 15:04:24  glen
- rel 22

Revision 1.98  2006/02/27 23:35:08  glen
- use %service

Revision 1.97  2005/11/30 18:39:31  glen
- use %service; adapterized

Revision 1.96  2005/11/30 18:28:51  glen
- quotes not neccessary with %banner

Revision 1.95  2005/10/26 20:46:13  glen
- rel 21

Revision 1.94  2005/09/15 17:40:44  glen
- rel 20 (need rebuild with fixed %banner)

Revision 1.93  2005/05/30 13:24:28  jasw
- add fix patch bug #5647 thx maxiu@best.net.pl

Revision 1.92  2005/05/02 18:23:51  glen
- adapterized

Revision 1.91  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.90  2005/03/06 10:41:46  glen
- fixed %banner usage

Revision 1.89  2005/02/27 14:54:05  glen
- adapterized

Revision 1.88  2005/02/27 14:53:17  glen
- rel 18; STBR

Revision 1.87  2005/02/27 14:49:40  glen
- updated syscrondir patch, to *really* ignore .rpm{new,old,save} files

Revision 1.86  2005/02/04 14:22:09  pzurowski
- BR: rpmbuild(macros) >= 1.176 due to:
- %banner support

Revision 1.85  2004/11/07 16:06:03  ankry
- removed O: crondaemon, rel. 17

Revision 1.84  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.83  2004/09/23 09:59:16  kolodko
- added macro in /etc/logrotate.d

Revision 1.82  2004/08/31 17:00:51  baggins
- relase 16
- setting /etc/cron 750 AND removing suid from /usr/bin/crontab
  was utterly stupid because crontab could not read cron.allow
  thus allowing anyone - fixed

Revision 1.81  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.80  2004/08/18 21:11:27  undefine
- release 15

Revision 1.79  2004/08/17 22:45:44  ankry
- added proper BR: rpmbuild(macros)

Revision 1.78  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.77  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.76  2004/07/04 12:12:13  areq
- s#PreReq:/sbin/chkconfig#Requires(post,preun):/sbin/chkconfig#

Revision 1.75  2004/03/10 16:10:45  andree
- add pre, postun requires

Revision 1.74  2003/12/11 15:49:58  undefine
- release 14 to allow upgrade from ra.

Revision 1.73  2003/09/07 10:46:31  blues
- release 13 - do trigger when upgrading from vixie

Revision 1.72  2003/09/03 19:19:24  blues
- release 12

Revision 1.71  2003/09/02 11:39:56  qboosh
- fixed trigger and some file perms, removed hc-cron.crontab from bindir

Revision 1.70  2003/09/01 20:55:04  blues
- cleanups - Source3 is 2 times installed... To be fixed

Revision 1.69  2003/09/01 05:12:01  misi3k
- spool perms fix

Revision 1.68  2003/08/31 20:46:31  misi3k
- rel 11.9
- added nosuid patch

Revision 1.67  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.66  2003/06/14 20:56:56  mmazur
- rel 11; STBR to Ra :)

Revision 1.65  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.64  2003/05/25 05:48:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.63  2003/02/04 19:12:39  undefine
- changed source0 to working one;

Revision 1.62  2002/08/30 00:44:27  wolf
- added some documentation
- release 10

Revision 1.61  2002/08/30 00:05:34  wolf
- %description from freshmeat

Revision 1.60  2002/04/25 16:33:08  arturs
- fixed a small typo

Revision 1.59  2002/04/18 10:52:36  qboosh
- changed paths patch: cron.lastrun moved to /var/lib/misc (FHS 2.2 compliant)
- release 9

Revision 1.58  2002/03/12 15:42:16  qboosh
- release 8: added missing /etc/cron dir to package

Revision 1.57  2002/03/04 12:25:23  kura
- release 7
- added closefile.patch

Revision 1.56  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/12/07 00:47:31  blues
- release 6
- fix (BTS #28)

Revision 1.52  2001/09/24 13:20:14  qboosh
- release 5: Prereq: /sbin/chkconfig

Revision 1.51  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.49  2001/07/04 13:53:46  kloczek
- chenged permission on cronta binary to 4755/root.root.

Revision 1.48  2001/07/04 12:20:06  zagrodzki
- release 4 (for rebuild with new glibc release)

Revision 1.47  2001/04/28 15:09:34  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.46  2001/04/09 08:07:02  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.45  2001/03/13 19:36:46  areq
- adaptarized, stb

Revision 1.44  2001/03/13 19:16:35  areq
- 0.14
- add time.patch

Revision 1.43  2001/02/20 16:38:01  wiget
- %config(noreplace); STB

Revision 1.42  2001/02/19 14:16:03  baggins
- release 7
- by default allow root to use crontab

Revision 1.41  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.40  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.39  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.38  2000/11/06 01:55:12  kloczek
- release 6: use new rpm automation.

Revision 1.37  2000/09/11 10:18:48  kloczek
- cosmetics.

Revision 1.36  2000/08/09 09:00:47  zagrodzki
- release 5
- /bin/run-parts (not /usr/bin/run-parts)
- adapterized

Revision 1.35  2000/06/09 07:22:58  kloczek
- added using %{__make} macro.

Revision 1.34  2000/06/01 14:19:27  baggins
- fixed patch numbers used in install (siefca THINK!)

Revision 1.33  2000/05/07 15:41:59  siefca
- removed run-parts script, now you can find it in other package (rc-scripts)

Revision 1.32  2000/04/13 08:43:49  zagrodzki
- release 2 (rc-scripts v. 2.0 compatible init)

Revision 1.31  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.29  2000/02/05 19:24:47  waszi
- small fixes

Revision 1.28  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.27  1999/10/11 17:39:01  kloczek
- cron.log changed to cron.logrotate.

Revision 1.26  1999/10/11 13:48:54  wiget
- updated to 0.13
- s/crontab.d/cron.d/

Revision 1.25  1999/09/11 13:39:46  misiek
- fixed requires (PR#34)

Revision 1.24  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
